
#ifndef OgreMax_MeshAnimationSettings_INCLUDED
#define OgreMax_MeshAnimationSettings_INCLUDED


//Includes---------------------------------------------------------------------
#include "CommonSettings.h"


//Classes----------------------------------------------------------------------
namespace OgreMax 
{
    /** Settings for a single mesh animation */
    struct MeshAnimationSettings
    {
        TSTR name;
        TSTR scale;
        TSTR length;
        TSTR copyFirstKeyToLast;
        std::vector<RemoveBoneTranslation> removeBoneTranslations;
        std::vector<BoneAllow> exportBones;
        TSTR sampleInterval;
        TSTR sampleRate;

        void ClearDefaults();
    };
}


#endif