
#ifndef OgreMax_MeshAnimationSettingsDialog_INCLUDED
#define OgreMax_MeshAnimationSettingsDialog_INCLUDED


//Includes---------------------------------------------------------------------
#include "DialogBase.h"
#include "MeshAnimationSettings.h"


//Classes----------------------------------------------------------------------
namespace OgreMax
{    
    class MeshAnimationSettingsDialog : public DialogBase
    {
    public:
        MeshAnimationSettingsDialog(MeshAnimationSettings& settings);
        ~MeshAnimationSettingsDialog();

        int DoModal(HWND hWndParent = NULL);

        void GetGUIData();

    protected:
        void SetGUIData();

        void UpdateTimeScaleEdit();
        void UpdateSamplingTypeEdit();

        INT_PTR DialogProc(UINT message, WPARAM wParam, LPARAM lParam, bool& handled);

        MeshAnimationSettings& settings;
    };
}

#endif

