
#ifndef OgreMax_ObjectSettingsSerializer_INCLUDED
#define OgreMax_ObjectSettingsSerializer_INCLUDED


//Includes---------------------------------------------------------------------
#include "SettingsSerializer.h"
#include "ObjectSettings.h"


//Classes----------------------------------------------------------------------
namespace OgreMax 
{
    class ObjectSettingsSerializer : public SettingsSerializer
    {
    public:
        ObjectSettingsSerializer();

    private:
        void ParseProperty
            (
            const TSTR& key, 
            const TSTR& value, 
            int line, 
            std::vector<int>& handledLines
            );

        void GetPropertiesText(TSTR& text, const TSTR& newline);

    public:
        ObjectSettings settings;    
    };
}


#endif