
#ifndef OgreMax_OgreMaxGlobalUtilities_INCLUDED
#define OgreMax_OgreMaxGlobalUtilities_INCLUDED


//Classes----------------------------------------------------------------------
namespace OgreMax
{    
    class OgreMaxGlobalUtilities : public GUP 
    {
    private:
        //Disable constructor/destructor
	    OgreMaxGlobalUtilities();
        ~OgreMaxGlobalUtilities();

    public:
	    //GUP Methods
	    DWORD Start();
	    void Stop();
	    DWORD Control(DWORD parameter);

	    FPInterfaceDesc* GetDesc();

        void OnExportScene();
        void OnExportSceneSelected();
        void OnSceneSettings();
        void OnObjectSettings();
        void OnAbout();

        /** Gets the ClassDesc for the OgreMaxGlobalUtilities class. */
        static ClassDesc* GetClassDesc();

        static OgreMaxGlobalUtilities& GetInstance() {return instance;}

    private:
        void CreateOgreMaxMenu();

        static void InterfaceChanged(void* param, NotifyInfo* info);

        void DoExport(bool selected);

    public:
        static OgreMaxGlobalUtilities instance;

    protected:        
        TSTR exportedFileName;
    };
}


#endif
