#ifndef OgreMax_UserDataTabPage_INCLUDED
#define OgreMax_UserDataTabPage_INCLUDED


//Includes---------------------------------------------------------------------
#include "DialogBase.h"
#include "CommonSettings.h"


//Classes----------------------------------------------------------------------
namespace OgreMax
{    
    /** Generic "User Data" tab page */
    class UserDataTabPage : public DialogBase
    {
    public:
        UserDataTabPage(UserDataSettings& settings);

        void Attach(HWND hDlg);

        void GetGUIData();

    protected:
        INT_PTR DialogProc(UINT message, WPARAM wParam, LPARAM lParam, bool& handled);

        void SetGUIData();

    private:        
        UserDataSettings& settings;
    };
}

#endif

