//Includes---------------------------------------------------------------------
#include "stdafx.h"
#include "PluginGlobals.h"
#include "resource.h"

using namespace OgreMax;


//Functions--------------------------------------------------------------------
BOOL WINAPI DllMain(HINSTANCE hinstance, ULONG, void*) 
{
    static bool initialized = false;

    if (!initialized)
    {
        PluginGlobals::Initialize(hinstance);
        initialized = true;
    }
	
    return TRUE;    
}

extern "C" 
{
__declspec(dllexport) const TCHAR* LibDescription()		
{
    return PluginGlobals::GetString(IDS_LIBRARY_DESCRIPTION);
}

__declspec(dllexport) int LibNumberClasses()			
{
    return PluginGlobals::GetClassDescriptionCount();
}

__declspec(dllexport) ClassDesc* LibClassDesc(int i)	
{
    return PluginGlobals::GetClassDescription(i);
}	

__declspec(dllexport) ULONG LibVersion()				
{
	return VERSION_3DSMAX;
}	

__declspec(dllexport) ULONG CanAutoDefer()
{
	return 0;
}
}