#ifndef OgreMax_ListControl_INCLUDED
#define OgreMax_ListControl_INCLUDED


//Includes---------------------------------------------------------------------
#include <vector>


//Classes----------------------------------------------------------------------
namespace OgreMax
{    
    class ListControl
    {
    public:
        ListControl();
        virtual ~ListControl();

        void Create(HWND hList);

        void InsertColumn(int columnStringID, int column, int width = 50);

        void InsertItem(int row, int column, const TSTR& text, LPARAM data = 0);

        void SetItem(int row, int column, const TSTR& text);

        int GetCurSel();

        LPARAM GetData(int row);

    protected:
        /** The list control window handle */
        HWND hList;
    };
}


#endif