
//Includes---------------------------------------------------------------------
#include "stdafx.h"
#include "PropertyKeys.h"

using namespace OgreMax;


//Static initialization--------------------------------------------------------
const TSTR PropertyKeys::ID(_T("id"));
const TSTR PropertyKeys::NAME(_T("name"));

const TSTR PropertyKeys::USER_DATA_REFERENCE(_T("userDataReference"));
const TSTR PropertyKeys::USER_DATA_MARKER(_T("userDataMarker"));
const TSTR PropertyKeys::IS_USER_DATA_CDATA(_T("isUserDataCDATA"));

const TSTR PropertyKeys::TYPE(_T("type"));
const TSTR PropertyKeys::GRAPHICS_TYPE(_T("graphicsType"));
const TSTR PropertyKeys::IGNORE_CHILDREN(_T("ignoreChildren"));
const TSTR PropertyKeys::CHILD_SORTING(_T("childSorting"));
const TSTR PropertyKeys::CHILD_ORDER(_T("childOrder"));

const TSTR PropertyKeys::IS_MODEL(_T("isModel"));
const TSTR PropertyKeys::MODEL_NAME(_T("modelName"));

const TSTR PropertyKeys::SCENE_MANAGER(_T("sceneManager"));

const TSTR PropertyKeys::EXPORT_SETTINGS_FILE(_T("exportSettingsFile"));

const TSTR PropertyKeys::EXPORT_PHYSICS(_T("exportPhysics"));
const TSTR PropertyKeys::PHYSICS_ENABLED(_T("physicsEnabled"));
const TSTR PropertyKeys::PHYSICS_SHAPE(_T("physicsShape"));
const TSTR PropertyKeys::PHYSICS_SPACE_TYPE(_T("physicsSpaceType"));
const TSTR PropertyKeys::PHYSICS_SPACE_HASH_MIN_LEVEL(_T("physicsSpaceHashMinLevel"));
const TSTR PropertyKeys::PHYSICS_SPACE_HASH_MAX_LEVEL(_T("physicsSpaceHashMaxLevel"));
const TSTR PropertyKeys::PHYSICS_SPACE_OCTREE_DEPTH(_T("physicsSpaceOctreeDepth"));
const TSTR PropertyKeys::CONTACT_GROUP_SETUP_COUNT(_T("contactGroupSetupCount"));
const TSTR PropertyKeys::CONTACT_GROUP_SETUP_FORMAT(_T("contactGroupSetup%d"));
const TSTR PropertyKeys::CONTACT_GROUP(_T("contactGroup"));
const TSTR PropertyKeys::SLEEPINESS(_T("sleepiness"));
const TSTR PropertyKeys::LINEAR_DAMPING(_T("linearDamping"));
const TSTR PropertyKeys::ANGULAR_DAMPING(_T("angularDamping"));
const TSTR PropertyKeys::MAKE_UPRIGHT(_T("makeUpright"));
const TSTR PropertyKeys::HAS_VOLUME_SENSOR(_T("hasVolumeSensor"));
const TSTR PropertyKeys::VOLUME_SENSOR_NAME(_T("volumeSensorName"));
const TSTR PropertyKeys::HAS_ACCELERATION_SENSOR(_T("hasAccelerationSensor"));
const TSTR PropertyKeys::ACCELERATION_SENSOR_NAME(_T("accelerationSensorName"));
const TSTR PropertyKeys::HAS_INCLINE_SENSOR(_T("hasInclineSensor"));
const TSTR PropertyKeys::INCLINE_SENSOR_NAME(_T("inclineSensorName"));
const TSTR PropertyKeys::BREAK_MODE(_T("breakMode"));
const TSTR PropertyKeys::CONTACTS_ENABLED(_T("contactsEnabled"));
const TSTR PropertyKeys::BODY(_T("body"));
const TSTR PropertyKeys::MODE(_T("mode"));
const TSTR PropertyKeys::LINEAR_KD(_T("linearKd"));
const TSTR PropertyKeys::LINEAR_KS(_T("linearKs"));
const TSTR PropertyKeys::ANGULAR_KD(_T("angularKd"));
const TSTR PropertyKeys::ANGULAR_KS(_T("angularKs"));
const TSTR PropertyKeys::SOLID_REFERENCE(_T("solidReference"));

const TSTR PropertyKeys::SHADOW_TECHNIQUE(_T("shadowTechnique"));
const TSTR PropertyKeys::SELF_SHADOW(_T("selfShadow"));
const TSTR PropertyKeys::SHADOW_COLOR(_T("shadowColor"));
const TSTR PropertyKeys::SHADOW_TEXTURE_SIZE(_T("shadowTextureSize"));
const TSTR PropertyKeys::SHADOW_TEXTURE_COUNT(_T("shadowTextureCount"));
const TSTR PropertyKeys::SHADOW_CAMERA_TYPE(_T("shadowCameraType"));
const TSTR PropertyKeys::SHADOW_PLANE(_T("shadowPlane"));

const TSTR PropertyKeys::ENVIRONMENT_NEAR(_T("environmentNear"));
const TSTR PropertyKeys::ENVIRONMENT_FAR(_T("environmentFar"));
const TSTR PropertyKeys::ENVIRONMENT_BOX(_T("environmentBox"));

const TSTR PropertyKeys::FOG_MODE(_T("fogMode"));
const TSTR PropertyKeys::FOG_EXP_DENSITY(_T("fogExpDensity"));

const TSTR PropertyKeys::VISIBILITY(_T("visibility"));
const TSTR PropertyKeys::TARGET_TYPE(_T("targetType"));

const TSTR PropertyKeys::IS_STATIC(_T("isStatic"));
const TSTR PropertyKeys::FILE(_T("file"));
const TSTR PropertyKeys::RENDER_QUEUE(_T("renderQueue"));

const TSTR PropertyKeys::BILLBOARD_SET_TYPE(_T("billboardSetType"));
const TSTR PropertyKeys::ORIGIN(_T("origin"));
const TSTR PropertyKeys::COMMON_DIRECTION(_T("commonDirection"));
const TSTR PropertyKeys::COMMON_UP_VECTOR(_T("commonUpVector"));
const TSTR PropertyKeys::ROTATION_TYPE(_T("rotationType"));

const TSTR PropertyKeys::DIFFUSE_COLOR(_T("diffuseColor"));

const TSTR PropertyKeys::NUM_TEX_COORD_SETS(_T("numTexCoordSets"));

const TSTR PropertyKeys::NORMALS(_T("normals"));

const TSTR PropertyKeys::ANIMATION_NAME(_T("animationName"));
const TSTR PropertyKeys::ANIMATION_ENABLED(_T("animationEnabled"));
const TSTR PropertyKeys::ANIMATION_LOOPED(_T("animationLooped"));

const TSTR PropertyKeys::NOTE_TRACK_NAME(_T("noteTrackName"));
const TSTR PropertyKeys::NOTE_TRACK_NAME_FORMAT(_T("noteTrackName%d"));

const TSTR PropertyKeys::ITEM_TYPE(_T("itemType"));

const TSTR PropertyKeys::ENABLE(_T("enable"));

const TSTR PropertyKeys::DRAW_FIRST(_T("drawFirst"));
const TSTR PropertyKeys::CURVATURE(_T("curvature"));

const TSTR PropertyKeys::SCALE(_T("scale"));
const TSTR PropertyKeys::BOW(_T("bow"));

const TSTR PropertyKeys::VERTEX_ANIMATION_TYPE(_T("vertexAnimationType"));
const TSTR PropertyKeys::SKELETON_NAME(_T("skeletonName"));
const TSTR PropertyKeys::SIMPLE_MESH(_T("simpleMesh"));

const TSTR PropertyKeys::REMOVE_BONE_TRANSLATION_FORMAT(_T("removeBoneTranslation %s"));
const TSTR PropertyKeys::REMOVE_BONE_TRANSLATION(_T("removeBoneTranslation"));

const TSTR PropertyKeys::VERTEX_ANIMATION_SAMPLE_INTERVAL(_T("vertexAnimationSampleInterval"));
const TSTR PropertyKeys::VERTEX_ANIMATION_SAMPLE_RATE(_T("vertexAnimationSampleRate"));
const TSTR PropertyKeys::SKELETON_ANIMATION_SAMPLE_INTERVAL(_T("skeletonAnimationSampleInterval"));
const TSTR PropertyKeys::SKELETON_ANIMATION_SAMPLE_RATE(_T("skeletonAnimationSampleRate"));
const TSTR PropertyKeys::MESH_ANIMATION_SAMPLE_INTERVAL(_T("meshAnimationSampleInterval"));
const TSTR PropertyKeys::MESH_ANIMATION_SAMPLE_RATE(_T("meshAnimationSampleRate"));
const TSTR PropertyKeys::SAMPLE_INTERVAL(_T("sampleInterval"));
const TSTR PropertyKeys::SAMPLE_RATE(_T("sampleRate"));
const TSTR PropertyKeys::COPY_FIRST_KEY_TO_LAST(_T("copyFirstKeyToLast"));
const TSTR PropertyKeys::EXPORT_BONE(_T("exportBone"));
const TSTR PropertyKeys::EXPORT_BONE_TREE(_T("exportBoneTree"));
const TSTR PropertyKeys::EXPORT_MATERIAL(_T("exportMaterial"));
const TSTR PropertyKeys::EXPORT_MESH(_T("exportMesh"));
const TSTR PropertyKeys::RENAME_BITMAP(_T("renameBitmap"));
const TSTR PropertyKeys::RENAME_BITMAP_EXTENSION(_T("renameBitmapExtension"));
const TSTR PropertyKeys::MESH_NAME(_T("meshName"));

const TSTR PropertyKeys::VERTEX_BUFFER_USAGE(_T("vertexBufferUsage"));
const TSTR PropertyKeys::VERTEX_BUFFER_USE_SHADOW(_T("vertexBufferUseShadow"));
const TSTR PropertyKeys::INDEX_BUFFER_USAGE(_T("indexBufferUsage"));
const TSTR PropertyKeys::INDEX_BUFFER_USE_SHADOW(_T("indexBufferUseShadow"));  
const TSTR PropertyKeys::USAGE(_T("Usage"));
const TSTR PropertyKeys::USE_SHADOW(_T("UseShadow"));

const TSTR PropertyKeys::LENGTH(_T("length"));

const TSTR PropertyKeys::MATERIAL_TYPE(_T("materialType"));
const TSTR PropertyKeys::MATERIAL_HARDNESS(_T("materialHardness"));
const TSTR PropertyKeys::MATERIAL_FRICTION(_T("materialFriction"));
const TSTR PropertyKeys::MATERIAL_BOUNCINESS(_T("materialBounciness"));
const TSTR PropertyKeys::MATERIAL_DENSITY(_T("materialDensity"));

const TSTR PropertyKeys::JOINT_AXIS_FORMAT(_T("jointAxis%d"));
const TSTR PropertyKeys::JOINT_AXIS(_T("jointAxis"));

const TSTR PropertyKeys::GENERATE_LOD = _T("generateLod");
const TSTR PropertyKeys::NUM_LOD_LEVELS = _T("numLodLevels");
const TSTR PropertyKeys::LOD_DISTANCE = _T("lodDistance");
const TSTR PropertyKeys::LOD_REDUCTION_TYPE = _T("lodReductionType");
const TSTR PropertyKeys::LOD_PERCENT_REDUCTION = _T("lodPercentReduction");
const TSTR PropertyKeys::LOD_VERTEX_REDUCTION = _T("lodVertexReduction");
const TSTR PropertyKeys::LOD_REDUCTION_AMOUNT = _T("lodReductionAmount");

const TSTR PropertyKeys::EXPORT_MESHES(_T("exportMeshes"));
const TSTR PropertyKeys::EXPORT_MATERIALS(_T("exportMaterials"));
const TSTR PropertyKeys::PHYSICS_EXPORT_TYPE(_T("physicsExportType"));
const TSTR PropertyKeys::EXPORT_VERTEX_COLORS(_T("exportVertexColors"));
const TSTR PropertyKeys::UP_AXIS(_T("upAxis"));
const TSTR PropertyKeys::TEX_COORD_2D(_T("texCoord2D"));
const TSTR PropertyKeys::NO_MATERIAL_NAME(_T("noMaterialName"));
const TSTR PropertyKeys::SORT_BONE_ASSIGNMENTS(_T("sortBoneAssignments"));
const TSTR PropertyKeys::EXPORT_TEXT_MESH(_T("exportTextMesh"));
const TSTR PropertyKeys::EXPORT_BINARY_MESH(_T("exportBinaryMesh"));
const TSTR PropertyKeys::GENERATE_TANGENTS(_T("generateTangents"));
const TSTR PropertyKeys::GENERATE_EDGE_LISTS(_T("generateEdgeLists"));
const TSTR PropertyKeys::VERTEX_COLOR_FORMAT(_T("vertexColorFormat"));
const TSTR PropertyKeys::ENDIAN(_T("endian"));

const TSTR PropertyKeys::EXPORT_PATH(_T("exportPath"));
const TSTR PropertyKeys::MESH_PATH(_T("meshPath"));
const TSTR PropertyKeys::MATERIAL_PATH(_T("materialPath"));
const TSTR PropertyKeys::MODEL_PATH(_T("modelPath"));
const TSTR PropertyKeys::LOG_PATH(_T("logPath"));
const TSTR PropertyKeys::MATERIAL_FILE_NAME(_T("materialFileName"));