
//Includes---------------------------------------------------------------------
#include "stdafx.h"
#include "PropertyValues.h"

using namespace OgreMax;


//Implementation----------------------------------------------------------------
const TSTR PropertyValues::TRUE_TEXT(_T("true"));
const TSTR PropertyValues::FALSE_TEXT(_T("false"));

const TSTR PropertyValues::ObjectType::IGNORE_OBJECT(_T("ignore"));
const TSTR PropertyValues::ObjectType::EMPTY(_T("empty"));
const TSTR PropertyValues::ObjectType::ENTITY(_T("entity"));
const TSTR PropertyValues::ObjectType::LIGHT(_T("light"));
const TSTR PropertyValues::ObjectType::CAMERA(_T("camera"));
const TSTR PropertyValues::ObjectType::EXTERNAL(_T("external"));
const TSTR PropertyValues::ObjectType::TERRAIN(_T("terrain"));
const TSTR PropertyValues::ObjectType::SKY_BOX(_T("skyBox"));
const TSTR PropertyValues::ObjectType::SKY_DOME(_T("skyDome"));
const TSTR PropertyValues::ObjectType::SKY_PLANE(_T("skyPlane"));
const TSTR PropertyValues::ObjectType::PARTICLE_SYSTEM(_T("particleSystem"));
const TSTR PropertyValues::ObjectType::BILLBOARD_SET(_T("billboardSet"));
const TSTR PropertyValues::ObjectType::BILLBOARD(_T("billboard"));
const TSTR PropertyValues::ObjectType::MODEL_INSTANCE(_T("modelInstance"));        
const TSTR PropertyValues::ObjectType::PLANE(_T("plane"));        

const TSTR PropertyValues::MeshAnimationType::MORPH_ONLY(_T("morphOnly"));
const TSTR PropertyValues::MeshAnimationType::MORPH(_T("morph"));
const TSTR PropertyValues::MeshAnimationType::POSE(_T("pose"));

const TSTR PropertyValues::Visibility::VISIBLE(_T("visible"));
const TSTR PropertyValues::Visibility::HIDDEN(_T("hidden"));
const TSTR PropertyValues::Visibility::TREE_VISIBLE(_T("treeVisible"));
const TSTR PropertyValues::Visibility::TREE_HIDDEN(_T("treeHidden"));

const TSTR PropertyValues::RenderQueue::BACKGROUND(_T("background"));
const TSTR PropertyValues::RenderQueue::SKIES_EARLY(_T("skiesEarly"));
const TSTR PropertyValues::RenderQueue::QUEUE1(_T("queue1"));
const TSTR PropertyValues::RenderQueue::QUEUE2(_T("queue2"));
const TSTR PropertyValues::RenderQueue::WORLD_GEOMETRY1(_T("worldGeometry1"));
const TSTR PropertyValues::RenderQueue::QUEUE3(_T("queue3"));
const TSTR PropertyValues::RenderQueue::QUEUE4(_T("queue4"));
const TSTR PropertyValues::RenderQueue::MAIN(_T("main"));
const TSTR PropertyValues::RenderQueue::QUEUE6(_T("queue6"));
const TSTR PropertyValues::RenderQueue::QUEUE7(_T("queue7"));
const TSTR PropertyValues::RenderQueue::WORLD_GEOMETRY2(_T("worldGeometry2"));
const TSTR PropertyValues::RenderQueue::QUEUE8(_T("queue8"));
const TSTR PropertyValues::RenderQueue::QUEUE9(_T("queue9"));
const TSTR PropertyValues::RenderQueue::SKIES_LATE(_T("skiesLate"));
const TSTR PropertyValues::RenderQueue::OVERLAY(_T("overlay"));
const TSTR PropertyValues::RenderQueue::MAX(_T("max"));

const TSTR PropertyValues::ChildSorting::NAME(_T("name"));
const TSTR PropertyValues::ChildSorting::ID(_T("id"));
const TSTR PropertyValues::ChildSorting::ID_NUMBER(_T("idNumber"));
const TSTR PropertyValues::ChildSorting::CHILD_ORDER(_T("childOrder"));

const TSTR PropertyValues::BillboardSetType::POINT = _T("point");
const TSTR PropertyValues::BillboardSetType::ORIENTED_COMMON(_T("orientedCommon"));
const TSTR PropertyValues::BillboardSetType::ORIENTED_SELF(_T("orientedSelf"));
const TSTR PropertyValues::BillboardSetType::PERPENDICULAR_COMMON(_T("perpendicularCommon"));
const TSTR PropertyValues::BillboardSetType::PERPENDICULAR_SELF(_T("perpendicularSelf"));

const TSTR PropertyValues::BillboardOrigin::CENTER(_T("center"));
const TSTR PropertyValues::BillboardOrigin::TOP_LEFT(_T("topLeft"));
const TSTR PropertyValues::BillboardOrigin::TOP_CENTER(_T("topCenter"));
const TSTR PropertyValues::BillboardOrigin::TOP_RIGHT(_T("topRight"));
const TSTR PropertyValues::BillboardOrigin::CENTER_RIGHT(_T("centerRight"));
const TSTR PropertyValues::BillboardOrigin::BOTTOM_RIGHT(_T("bottomRight"));
const TSTR PropertyValues::BillboardOrigin::BOTTOM_CENTER(_T("bottomCenter"));
const TSTR PropertyValues::BillboardOrigin::BOTTOM_LEFT(_T("bottomLeft"));
const TSTR PropertyValues::BillboardOrigin::CENTER_LEFT(_T("centerLeft"));

const TSTR PropertyValues::BillboardRotationType::VERTEX(_T("vertex"));
const TSTR PropertyValues::BillboardRotationType::TEX_COORD(_T("texCoord"));

const TSTR PropertyValues::HardwareBufferUsage::STATIC(_T("static"));
const TSTR PropertyValues::HardwareBufferUsage::DYNAMIC(_T("dynamic"));
const TSTR PropertyValues::HardwareBufferUsage::WRITE_ONLY(_T("writeOnly"));
const TSTR PropertyValues::HardwareBufferUsage::STATIC_WRITE_ONLY(_T("staticWriteOnly"));
const TSTR PropertyValues::HardwareBufferUsage::DYNAMIC_WRITE_ONLY(_T("dynamicWriteOnly"));
            
const TSTR PropertyValues::LODReductionType::VERTEX(_T("vertex"));
const TSTR PropertyValues::LODReductionType::PERCENT(_T("percent"));

const TSTR PropertyValues::UpAxis::Y_UP(_T("y"));
const TSTR PropertyValues::UpAxis::Z_UP(_T("z"));

const TSTR PropertyValues::SceneScale::STANDARD(_T("standard"));
const TSTR PropertyValues::SceneScale::ACTIVE(_T("active"));
const TSTR PropertyValues::SceneScale::METERS(_T("meters"));
const TSTR PropertyValues::SceneScale::KILOMETERS(_T("kilometers"));
const TSTR PropertyValues::SceneScale::FEET(_T("feet"));
const TSTR PropertyValues::SceneScale::MILES(_T("miles"));

const TSTR PropertyValues::StandardSceneManager::GENERIC(_T("generic"));
const TSTR PropertyValues::StandardSceneManager::EXTERIOR_CLOSE(_T("exteriorClose"));
const TSTR PropertyValues::StandardSceneManager::EXTERIOR_FAR(_T("exteriorFar"));
const TSTR PropertyValues::StandardSceneManager::EXTERIOR_REAL_FAR(_T("exteriorRealFar"));

const TSTR PropertyValues::VertexColorFormat::DIRECT3D(_T("direct3d"));
const TSTR PropertyValues::VertexColorFormat::OPENGL(_T("opengl"));

const TSTR PropertyValues::ByteOrder::NATIVE(_T("native"));
const TSTR PropertyValues::ByteOrder::LITTLE_ENDIAN(_T("little"));
const TSTR PropertyValues::ByteOrder::BIG_ENDIAN(_T("big"));

const TSTR PropertyValues::ShadowTechnique::NONE(_T("none"));
const TSTR PropertyValues::ShadowTechnique::STENCIL_MODULATIVE(_T("stencilModulative"));
const TSTR PropertyValues::ShadowTechnique::STENCIL_ADDITIVE(_T("stencilAdditive"));
const TSTR PropertyValues::ShadowTechnique::TEXTURE_MODULATIVE(_T("textureModulative"));
const TSTR PropertyValues::ShadowTechnique::TEXTURE_ADDITIVE(_T("textureAdditive"));
const TSTR PropertyValues::ShadowTechnique::TEXTURE_MODULATIVE_INTEGRATED(_T("textureModulativeIntegrated"));
const TSTR PropertyValues::ShadowTechnique::TEXTURE_ADDITIVE_INTEGRATED(_T("textureAdditiveIntegrated"));

const TSTR PropertyValues::ShadowCameraType::UNIFORM(_T("uniform"));
const TSTR PropertyValues::ShadowCameraType::UNIFORM_FOCUSED(_T("uniformFocused")); 
const TSTR PropertyValues::ShadowCameraType::LISPSM(_T("lispsm"));
const TSTR PropertyValues::ShadowCameraType::PLANE_OPTIMAL(_T("planeOptimal"));

const TSTR PropertyValues::TimeScale::NORMALIZE(_T("normalize"));

const TSTR PropertyValues::FogMode::LINEAR(_T("linear"));
const TSTR PropertyValues::FogMode::EXP(_T("exp"));
const TSTR PropertyValues::FogMode::EXP2(_T("exp2"));
