
#ifndef OgreMax_SceneSettingsSerializer_INCLUDED
#define OgreMax_SceneSettingsSerializer_INCLUDED


//Includes---------------------------------------------------------------------
#include "SettingsSerializer.h"
#include "SceneSettings.h"


//Classes----------------------------------------------------------------------
namespace OgreMax 
{
    class SceneSettingsSerializer : public SettingsSerializer
    {
    public:
        SceneSettingsSerializer();

    private:
        void ParseProperty
            (
            const TSTR& key, 
            const TSTR& value, 
            int line, 
            std::vector<int>& handledLines
            );

        void GetPropertiesText(TSTR& text, const TSTR& newline);

    public:
        SceneSettings settings;
    };
}


#endif